<!-- DO NOT EDIT - AUTOGENERATED by Makefile-->
<html><body><h1>query() fields </h1>
<h2> Concrete objects</h2>
<table border=1 cellspacing=0>
 <tr id="line">
  <th colspan="3">line object fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> <a href="#common">(common)</a>
  <td> &nbsp;
  <td> common object fields are available
 <tr>
  <td> <a href="#pen">stroke</a>
  <td> &nbsp;
  <td> pen fields used for object stroke; e.g. .stroke is the stroke pen name, .stroke.color is stroke pen color
 <tr>
  <td> x1
  <td> coord
  <td> start point x coord
 <tr>
  <td> y1
  <td> coord
  <td> start point y coord
 <tr>
  <td> x2
  <td> coord
  <td> end point x coord
 <tr>
  <td> y2
  <td> coord
  <td> end point y coord
 <tr>
  <td> length
  <td> coord
  <td> calculated length
 <tr>
  <td> length2
  <td> double
  <td> square of calculated length (cheaper to calculate)
 <tr>
  <td> area
  <td> double
  <td> "ink quantity": approx. area of the line as rendered [coord<sup>2</sup>]
</table>
<table border=1 cellspacing=0>
 <tr id="arc">
  <th colspan="3">arc object fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> <a href="#common">(common)</a>
  <td> &nbsp;
  <td> common object fields are available
 <tr>
  <td> <a href="#pen">stroke</a>
  <td> &nbsp;
  <td> pen fields used for object stroke; e.g. .stroke is the stroke pen name, .stroke.color is stroke pen color
 <tr>
  <td> start
  <td> double
  <td> start angle [degrees]
 <tr>
  <td> delta
  <td> double
  <td> angle span [degrees]
 <tr>
  <td> x or cx
  <td> coord
  <td> arc center x coord
 <tr>
  <td> y or cy
  <td> coord
  <td> arc center y coord
 <tr>
  <td> r
  <td> coord
  <td> arc radius
 <tr>
  <td> length
  <td> coord
  <td> calculated length
 <tr>
  <td> length2
  <td> double
  <td> square of calculated length (cheaper to calculate)
 <tr>
  <td> area
  <td> double
  <td> "ink quantity": approx. area of the arc as rendered [coord<sup>2</sup>]
</table>
<table border=1 cellspacing=0>
 <tr id="text">
  <th colspan="3">text object fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> <a href="#common">(common)</a>
  <td> &nbsp;
  <td> common object fields are available
 <tr>
  <td> x or x1
  <td> coord
  <td> placement box bottom left
 <tr>
  <td> y or y1
  <td> coord
  <td> placement box bottom left
 <tr>
  <td> x2
  <td> coord
  <td> placement box top right (also used for determining text height)
 <tr>
  <td> y2
  <td> coord
  <td> placement box top right (also used for determining text height)
 <tr>
  <td> rotation
  <td> double
  <td> in degrees
 <tr>
  <td> string
  <td> str
  <td> text string as specified by the user (may be a dyntext template)
 <tr>
  <td> render
  <td> str
  <td> as rendered currently (with dyntext template executed)
 <tr>
  <td> dyntext
  <td> int
  <td> 1 if text is dyntext templated, 0 otherwise
 <tr>
  <td> has_bbox
  <td> int
  <td> 1 if text is bbox-specified, 0 if height-specified
 <tr>
  <td> halign
  <td> int
  <td> <a href="#halign">horizontal alignment ID</a>
</table>
<table border=1 cellspacing=0>
 <tr id="conn">
  <th colspan="3">conn object fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> <a href="#common">(common)</a>
  <td> &nbsp;
  <td> common object fields are available
 <tr>
  <td> conn
  <td> list
  <td> all objects that are connected by this conn object
</table>
<table border=1 cellspacing=0>
 <tr id="polygon">
  <th colspan="3">polygon object fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> <a href="#common">(common)</a>
  <td> &nbsp;
  <td> common object fields are available
 <tr>
  <td> <a href="#pen">stroke</a>
  <td> &nbsp;
  <td> pen fields used for object stroke; e.g. .stroke is the stroke pen name, .stroke.color is stroke pen color
 <tr>
  <td> <a href="#pen">fill</a>
  <td> &nbsp;
  <td> pen fields used for object fill; e.g. .fill is the fill pen name, .fill.color is fill pen color
 <tr>
  <td> points
  <td> int
  <td> number of corners
 <tr>
  <td> area
  <td> double
  <td> "ink quantity": area of the polygon as rendered [coord<sup>2</sup>]
</table>
<table border=1 cellspacing=0>
 <tr id="grp">
  <th colspan="3">group object fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> <a href="#common">(common)</a>
  <td> &nbsp;
  <td> common object fields are available
 <tr>
  <td> x
  <td> coord
  <td> origin (placement) coord
 <tr>
  <td> y
  <td> coord
  <td> origin (placement) coord
 <tr>
  <td> rotation
  <td> double
  <td> rotation around origin, in degrees
 <tr>
  <td> mirx
  <td> int
  <td> 1 if group is horizontally mirrored, 0 otherwise
 <tr>
  <td> miry
  <td> int
  <td> 1 if group is vertically mirrored, 0 otherwise
 <tr>
  <td> area
  <td> double
  <td> bbox area of the group as rendered [coord<sup>2</sup>]
</table>
<h2> Common concrete object fields and types</h2>
</table>
<table border=1 cellspacing=0>
 <tr id="types">
  <th colspan="2">types
 <tr>
  <th> type ID
  <th> type name
 <tr>
  <td> 1
  <td> LINE
 <tr>
  <td> 2
  <td> ARC
 <tr>
  <td> 3
  <td> POLY
 <tr>
  <td> 4
  <td> TEXT
 <tr>
  <td> 5
  <td> BITMAP
 <tr>
  <td> 6
  <td> CONN
 <tr>
  <td> 7
  <td> GRP
 <tr>
  <td> 8
  <td> GRP_REF
</table>
<table border=1 cellspacing=0>
 <tr id="halign">
  <th colspan="2">horizontal alignment IDs
 <tr>
  <th> halign ID
  <th> alignment name
 <tr>
  <td> 0
  <td> left
 <tr>
  <td> 1
  <td> center
 <tr>
  <td> 2
  <td> right
 <tr>
  <td> 3
  <td> word justify
 <tr>
  <td> 4
  <td> justify
</table>
<table border=1 cellspacing=0>
 <tr id="common">
  <th colspan="3">common fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> ID
  <td> int
  <td> object's <i>oid<i>
 <tr>
  <td> level
  <td> int
  <td> which level of the hierarchy the object is on; level 0 is the direct group of the sheet; level 1 is an object placed on the sheet
 <tr>
  <td> bbox.x1
  <td> coord
  <td> object's bounding box, leftmost X coordinate
 <tr>
  <td> bbox.y1
  <td> coord
  <td> object's bounding box, bottom Y coordinate
 <tr>
  <td> bbox.x2
  <td> coord
  <td> object's bounding box, rightmost X coordinate
 <tr>
  <td> bbox.y2
  <td> coord
  <td> object's bounding box, top Y coordinate
 <tr>
  <td> bbox.width
  <td> coord
  <td> object's bounding box, horizontal size
 <tr>
  <td> bbox.height
  <td> coord
  <td> object's bounding box, vertical size
 <tr>
  <td> type
  <td> int
  <td> <a href="#types">object type ID</a>
 <tr>
  <td> selected
  <td> int
  <td> 1 if object is selected, else 0
 <tr>
  <td> locked
  <td> int
  <td> 1 if object is explicitly locked (lock tool), else 0
 <tr>
  <td> anylocked
  <td> int
  <td> 1 if the object is locked in any way (parent is locked or parent is an atomic group, e.g. symbol and object is not a floater)
 <tr>
  <td> floater
  <td> int
  <td> 1 if object is a floater, else 0
 <tr>
  <td> parent
  <td> obj
  <td> object's parent group
 <tr>
  <td> displayer
  <td> int
  <td> display layer ID the object is rendered on
 <tr>
  <td> displayer_name
  <td> string
  <td> display layer name the object is rendered on
 <tr>
  <td> conn
  <td> list
  <td> list of objects the current object is connected to via a conn object
</table>
<table border=1 cellspacing=0>
 <tr>
  <th colspan="3">pen fields
 <tr>
  <th> field
  <th> type
  <th> description
 <tr>
  <td> &nbsp;
  <td> str
  <td> without futher fields appended, evaluates to the name of the pen
 <tr>
  <td> shape
  <td> str
  <td> <i>round</i> or <i>square</i>
 <tr>
  <td> is_round
  <td> int
  <td> 1 if shape is <i>round</i>, else 0
 <tr>
  <td> size
  <td> coord
  <td> pen diameter if shape is <i>round</i>, side length if shape is <i>square</i>
 <tr>
  <td> color
  <td> str
  <td> in #rrggbb format
 <tr>
  <td> dash
  <td> int
  <td> dash pattern (see design doc)
 <tr>
  <td> dash_period
  <td> coord
  <td> dash period (see design doc)
 <tr>
  <td> font_height
  <td> coord
  <td> for non-bbox specified text rendered with this pen
 <tr>
  <td> font_family
  <td> str
  <td> hint for font selection
 <tr>
  <td> font_style
  <td> str
  <td> hint for font selection
</table>
</body></html>
